Package org.apache.sling.scripting.sightly.compiler.commands

## Class Conditional.Start

- java.lang.Object
- - org.apache.sling.scripting.sightly.compiler.commands.Conditional.Start

All Implemented Interfaces:
  `Command`

Enclosing class:
  Conditional

    public static final class Conditional.Start
    extends Object
    implements Command

### Constructor Summary

Constructors
`Start​(String variable, boolean expectedTruthValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept​(CommandVisitor visitor)` Accept a visitor.
`boolean` `getExpectedTruthValue()`
`String` `getVariable()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Start

    public Start​(String variable,
                 boolean expectedTruthValue)

### Method Detail

#### accept

    public void accept​(CommandVisitor visitor)

Description copied from interface: `Command`
Accept a visitor.

Specified by:
  `accept` in interface `Command`
Parameters:
  `visitor` - the visitor that will process this command

#### getVariable

    public String getVariable()

#### getExpectedTruthValue

    public boolean getExpectedTruthValue()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`